Debian Bug report logs - #644657
libmemcached: FTBFS on hurd-i386

version graph

Package: libmemcached; Maintainer for libmemcached is Michael Fladischer <FladischerMichael@fladi.at>;

Reported by: svante.signell@gmail.com

Date: Fri, 7 Oct 2011 21:09:02 UTC

Severity: important

Tags: patch

Found in versions 1.0.6-1, 0.44-1.1, libmemcached/1.0.17-1

Fixed in version libmemcached/1.0.17-2

Done: Michael Fladischer <FladischerMichael@fladi.at>

Forwarded to https://bugs.launchpad.net/bugs/1191503

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Monty Taylor <mordred@inaugust.com>:
Bug#644657; Package libmemcached. (Fri, 07 Oct 2011 21:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Monty Taylor <mordred@inaugust.com>. (Fri, 07 Oct 2011 21:09:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmemcached: FTBFS on hurd-i386
Date: Fri, 07 Oct 2011 23:04:19 +0200
[Message part 1 (text/plain, inline)]
Package: libmemcached
Version: 0.44-1.1
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

libmemcached FTBFS mainly due to PATH_MAX issues on GNU/Hurd. The
attached patch resolves these problems, and enables a portable solution for all
architectures.

Thanks!
[fix_FTBFS4Hurd.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Monty Taylor <mordred@inaugust.com>:
Bug#644657; Package libmemcached. (Thu, 13 Oct 2011 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Monty Taylor <mordred@inaugust.com>. (Thu, 13 Oct 2011 17:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 644657@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 644657@bugs.debian.org
Cc: debian-hurd <debian-hurd@lists.debian.org>
Subject: Re: Bug#644657: libmemcached: FTBFS on hurd-i386
Date: Thu, 13 Oct 2011 19:00:24 +0200
[Message part 1 (text/plain, inline)]
On Fri, 2011-10-07 at 23:04 +0200, Svante Signell wrote:
> Package: libmemcached
> Version: 0.44-1.1
> Severity: important
> Tags: patch
> User: debian-hurd@lists.debian.org
> Usertags: hurd
> 
> Hi,
> 
> libmemcached FTBFS mainly due to PATH_MAX issues on GNU/Hurd. The
> attached patch resolves these problems, and enables a portable solution for all
> architectures.

Attached is an updated patch, mainly fixing some indentation and coding
style issues and not limiting msghdr if there is no IOV_MAX limit
defined (as on GNU/Hurd).

Thanks!
[fix_FTBFS4Hurd.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Monty Taylor <mordred@inaugust.com>:
Bug#644657; Package libmemcached. (Fri, 14 Oct 2011 23:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Monty Taylor <mordred@inaugust.com>. (Fri, 14 Oct 2011 23:30:05 GMT) Full text and rfc822 format available.

Message #15 received at 644657@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Svante Signell <svante.signell@telia.com>
Cc: 644657@bugs.debian.org, debian-hurd <debian-hurd@lists.debian.org>
Subject: Re: Bug#644657: libmemcached: FTBFS on hurd-i386
Date: Sat, 15 Oct 2011 01:28:14 +0200
Hi!

On Thu, 2011-10-13 at 19:00:24 +0200, Svante Signell wrote:
> Attached is an updated patch, mainly fixing some indentation and coding
> style issues and not limiting msghdr if there is no IOV_MAX limit
> defined (as on GNU/Hurd).

> diff -ur libmemcached-0.44//clients/ms_conn.c libmemcached-0.44.modified//clients/ms_conn.c
> --- libmemcached-0.44//clients/ms_conn.c	2010-07-22 17:06:58.000000000 +0200
> +++ libmemcached-0.44.modified//clients/ms_conn.c	2011-10-13 17:47:16.000000000 +0200
> @@ -2125,12 +2125,14 @@
>      limit_to_mtu= c->udp;
>  
>      /* We may need to start a new msghdr if this one is full. */
> +#ifdef IOV_MAX
>      if ((m->msg_iovlen == IOV_MAX)
>          || (limit_to_mtu && (c->msgbytes >= UDP_MAX_SEND_PAYLOAD_SIZE)))
>      {
>        ms_add_msghdr(c);
>        m= &c->msglist[c->msgused - 1];
>      }
> +#endif

Sorry, I guess I was not clear with my comment, I meant that the
IOV_MAX specific condition should not be honoured when there's no such
limit, the other part of the condition is still relevant though (the MTU
limit), and a new header should be started then.

> diff -ur libmemcached-0.44//clients/ms_setting.c libmemcached-0.44.modified//clients/ms_setting.c
> --- libmemcached-0.44//clients/ms_setting.c	2010-08-03 02:34:02.000000000 +0200
> +++ libmemcached-0.44.modified//clients/ms_setting.c	2011-10-13 18:20:53.000000000 +0200
> @@ -304,13 +304,17 @@
>   */
>  static void ms_no_config_file()
>  {
> -  char userpath[PATH_MAX];
> +  char *userpath= NULL;
> +  size_t len;
>    struct passwd *usr= NULL;
>    FILE *fd;
>  
>    usr= getpwuid(getuid());
>  
> -  snprintf(userpath, PATH_MAX, "%s/%s", usr->pw_dir, DEFAULT_CONFIG_NAME);
> +  len= strlen(usr->pw_dir) + 1 + strlen(DEFAULT_CONFIG_NAME) + 1;
> +  if ((userpath = malloc(len)) == NULL)

Small style nit, the code uses no spaces before assignment.

> diff -ur libmemcached-0.44//tests/server.c libmemcached-0.44.modified//tests/server.c
> --- libmemcached-0.44//tests/server.c	2010-08-03 08:30:54.000000000 +0200
> +++ libmemcached-0.44.modified//tests/server.c	2011-10-13 18:11:24.000000000 +0200
> @@ -117,18 +117,30 @@
>            }
>          }
>  
> -        char buffer[PATH_MAX];
> -        snprintf(buffer, sizeof(buffer), PID_FILE_BASE, x);
> +        char *buffer= NULL;
> +        size_t len= 0;
> +
> +        len= strlen(PID_FILE_BASE) + sizeof(int) - 2 + 1;
> +        if ((buffer = malloc(len)) == NULL)

Likewise.

> +            assert(buffer);
> +        snprintf(buffer, len, PID_FILE_BASE, x);
>          kill_file(buffer);
>  
>          if (x == 0)
>          {
> -          snprintf(buffer, sizeof(buffer), "%s -d -u root -P "PID_FILE_BASE" -t 1 -p %u -U %u -m 128",
> +          len= strlen("%s -d -u root -P "PID_FILE_BASE" -t 1 -p %u -U %u -m 128") + strlen(MEMCACHED_BINARY) + 3*sizeof(int)- 4*2 + 1;
> +          if ((buffer = malloc(len)) == NULL)

Likewise.

> +              assert(buffer);
> +          snprintf(buffer, len, "%s -d -u root -P "PID_FILE_BASE" -t 1 -p %u -U %u -m 128",
>                     MEMCACHED_BINARY, x, port, port);
>          }
>          else
>          {
> -          snprintf(buffer, sizeof(buffer), "%s -d -u root -P "PID_FILE_BASE" -t 1 -p %u -U %u",
> +          len= strlen("%s -d -u root -P "PID_FILE_BASE" -t 1 -p %u -U %u") +
> +              strlen(MEMCACHED_BINARY) + 3*sizeof(int) - 4*2 + 1;
> +          if ((buffer = malloc(len)) == NULL)

Likewise.

> +              assert(buffer);
> +           snprintf(buffer, len, "%s -d -u root -P "PID_FILE_BASE" -t 1 -p %u -U %u",
>                     MEMCACHED_BINARY, x, port, port);
>          }
>  	if (libmemcached_util_ping("localhost", port, NULL))
> @@ -229,9 +248,15 @@
>    {
>      for (uint32_t x= 0; x < construct->count; x++)
>      {
> -      char file_buffer[PATH_MAX]; /* Nothing special for number */
> -      snprintf(file_buffer, sizeof(file_buffer), PID_FILE_BASE, x);
> +      char *file_buffer= NULL; /* Nothing special for number */
> +      size_t len= 0;
> +
> +      len= strlen(PID_FILE_BASE) + sizeof(int) - 2 + 1;
> +      if ((file_buffer = malloc(len)) == NULL)

Likewise.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Monty Taylor <mordred@inaugust.com>:
Bug#644657; Package libmemcached. (Sat, 15 Oct 2011 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Monty Taylor <mordred@inaugust.com>. (Sat, 15 Oct 2011 12:51:04 GMT) Full text and rfc822 format available.

Message #20 received at 644657@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 644657@bugs.debian.org
Cc: Guillem Jover <guillem@debian.org>, debian-hurd <debian-hurd@lists.debian.org>
Subject: Re: Bug#644657: libmemcached: FTBFS on hurd-i386
Date: Sat, 15 Oct 2011 14:48:26 +0200
[Message part 1 (text/plain, inline)]
On Sat, 2011-10-15 at 01:28 +0200, Guillem Jover wrote:
> Hi!
> 
> On Thu, 2011-10-13 at 19:00:24 +0200, Svante Signell wrote:
> > Attached is an updated patch, mainly fixing some indentation and coding
> > style issues and not limiting msghdr if there is no IOV_MAX limit
> > defined (as on GNU/Hurd).
...
> Sorry, I guess I was not clear with my comment, I meant that the
> IOV_MAX specific condition should not be honoured when there's no such
> limit, the other part of the condition is still relevant though (the
> MTU limit), and a new header should be started then.
...

Sorry to update the patch for libmemcached again, but this time it would
be OK, even for Guillem. 

New patch attached. We are looking forward to se it applied in the next
Debian release of libmemcached (and in upstream in due time).

Thanks!
[fix_FTBFS4Hurd.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Monty Taylor <mordred@inaugust.com>:
Bug#644657; Package libmemcached. (Sat, 07 Jan 2012 15:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Monty Taylor <mordred@inaugust.com>. (Sat, 07 Jan 2012 15:06:06 GMT) Full text and rfc822 format available.

Message #25 received at 644657@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 644657@bugs.debian.org
Subject: Ping
Date: Sat, 07 Jan 2012 16:04:02 +0100
Yes, ping!





Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fladischer <FladischerMichael@fladi.at>:
Bug#644657; Package libmemcached. (Thu, 05 Apr 2012 09:52:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Fladischer <michael@fladi.at>:
Extra info received and forwarded to list. Copy sent to Michael Fladischer <FladischerMichael@fladi.at>. (Thu, 05 Apr 2012 09:52:58 GMT) Full text and rfc822 format available.

Message #30 received at 644657@bugs.debian.org (full text, mbox):

From: Michael Fladischer <michael@fladi.at>
To: 644657@bugs.debian.org
Subject: Builds on HURD-i386
Date: Thu, 05 Apr 2012 10:57:03 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'm not able to reproduce this with 1.0.4 and latest 1.0.5. Therefor
I'll be closing this bug if nobody reports any further problems
regarding this issue.
- -- 
Michael Fladischer <michael@fladi.at>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk99Xl8ACgkQeJ3z1zFMUGYdOACgh+/QZ2yT4+cPJcFcX/IT4lWY
As4AniuNyKYxaHzoAHQG1bVoJS00eV3o
=kLOH
-----END PGP SIGNATURE-----




Reply sent to Michael Fladischer <michael@fladi.at>:
You have taken responsibility. (Fri, 11 May 2012 06:09:04 GMT) Full text and rfc822 format available.

Notification sent to svante.signell@telia.com:
Bug acknowledged by developer. (Fri, 11 May 2012 06:09:04 GMT) Full text and rfc822 format available.

Message #35 received at 644657-done@bugs.debian.org (full text, mbox):

From: Michael Fladischer <michael@fladi.at>
To: 644657-done@bugs.debian.org
Subject: no longer reproduceable
Date: Fri, 11 May 2012 08:05:37 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Closing it after one month passed without further reports.
- -- 
Michael Fladischer <michael@fladi.at>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk+srCsACgkQeJ3z1zFMUGb7tACdH2pAkolk/yWhWhNQTAafuzc8
ungAnAk25jvawT2oF1bON/yPj61X4Z3O
=fYuw
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fladischer <FladischerMichael@fladi.at>:
Bug#644657; Package libmemcached. (Fri, 11 May 2012 11:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Michael Fladischer <FladischerMichael@fladi.at>. (Fri, 11 May 2012 11:15:15 GMT) Full text and rfc822 format available.

Message #40 received at 644657@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 644657@bugs.debian.org, Michael Fladischer <michael@fladi.at>
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#644657 closed by Michael Fladischer <michael@fladi.at> (no longer reproduceable)
Date: Fri, 11 May 2012 13:11:48 +0200
reopen 644657
found 644657 1.0.6-1
thanks

On Fri, 2012-05-11 at 06:09 +0000, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the libmemcached package:
> 
> #644657: libmemcached: FTBFS on hurd-i386
> 
> It has been closed by Michael Fladischer <michael@fladi.at>.

The message below on this bug was not forwarded to me (I wonder why
not):

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'm not able to reproduce this with 1.0.4 and latest 1.0.5. Therefor
I'll be closing this bug if nobody reports any further problems
regarding this issue.
- -- 
Michael Fladischer <michael@fladi.at>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk99Xl8ACgkQeJ3z1zFMUGYdOACgh+/QZ2yT4+cPJcFcX/IT4lWY
As4AniuNyKYxaHzoAHQG1bVoJS00eV3o
=kLOH
-----END PGP SIGNATURE-----

How can you claim that you cannot reproduce the problem with 1.0.4 or
1.0.5. Have you tried #undef PATH_MAX and built, or built under
GNU/Hurd where PATH_MAX is not defined?

Here is the build log from 1.0.6-1:
https://buildd.debian.org/status/fetch.php?pkg=libmemcached&arch=hurd-i386&ver=1.0.6-1&stamp=1334347767





Bug reopened Request was from Svante Signell <svante.signell@telia.com> to control@bugs.debian.org. (Fri, 11 May 2012 11:15:20 GMT) Full text and rfc822 format available.

Marked as found in versions 1.0.6-1. Request was from Svante Signell <svante.signell@telia.com> to control@bugs.debian.org. (Fri, 11 May 2012 11:15:20 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'svante.signell@gmail.com' from 'svante.signell@telia.com' Request was from Svante Signell <svante.signell@gmail.com> to control@bugs.debian.org. (Sat, 11 May 2013 21:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Fladischer <FladischerMichael@fladi.at>:
Bug#644657; Package libmemcached. (Sun, 16 Jun 2013 12:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Fladischer <FladischerMichael@fladi.at>. (Sun, 16 Jun 2013 12:06:04 GMT) Full text and rfc822 format available.

Message #51 received at 644657@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 644657@bugs.debian.org
Cc: svante.signell@gmail.com
Subject: Still present in libmemcached 1.0.17
Date: Sun, 16 Jun 2013 14:03:18 +0200
[Message part 1 (text/plain, inline)]
found 644657 libmemcached/1.0.17-1
forwarded 644657 https://bugs.launchpad.net/bugs/1191503
thanks

Hi,

even the latest libmemcached (1.0.17) still does not compile on 
GNU/Hurd. I fixed the build issue and a test suite fail and reported it 
upstream[1].
(Attached for reference the patch sent there.)

[1] https://bugs.launchpad.net/bugs/1191503

Thanks,
-- 
Pino Toscano
[hurd.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Marked as found in versions libmemcached/1.0.17-1. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Sun, 16 Jun 2013 12:06:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.launchpad.net/bugs/1191503'. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Sun, 16 Jun 2013 12:06:07 GMT) Full text and rfc822 format available.

Reply sent to Michael Fladischer <FladischerMichael@fladi.at>:
You have taken responsibility. (Mon, 17 Jun 2013 09:21:11 GMT) Full text and rfc822 format available.

Notification sent to svante.signell@gmail.com:
Bug acknowledged by developer. (Mon, 17 Jun 2013 09:21:11 GMT) Full text and rfc822 format available.

Message #60 received at 644657-close@bugs.debian.org (full text, mbox):

From: Michael Fladischer <FladischerMichael@fladi.at>
To: 644657-close@bugs.debian.org
Subject: Bug#644657: fixed in libmemcached 1.0.17-2
Date: Mon, 17 Jun 2013 09:19:57 +0000
Source: libmemcached
Source-Version: 1.0.17-2

We believe that the bug you reported is fixed in the latest version of
libmemcached, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644657@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Fladischer <FladischerMichael@fladi.at> (supplier of updated libmemcached package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 17 Jun 2013 08:43:46 +0200
Source: libmemcached
Binary: libmemcached11 libmemcached-dev libmemcached-dbg libmemcachedutil2 libhashkit2 libhashkit-dev libmemcached-tools
Architecture: source amd64
Version: 1.0.17-2
Distribution: experimental
Urgency: low
Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
Changed-By: Michael Fladischer <FladischerMichael@fladi.at>
Description: 
 libhashkit-dev - libmemcached hashing functions and algorithms (development files)
 libhashkit2 - libmemcached hashing functions and algorithms
 libmemcached-dbg - Debug Symbols for libmemcached
 libmemcached-dev - C and C++ client library to the memcached server (development fil
 libmemcached-tools - Commandline tools for talking to memcached via libmemcached
 libmemcached11 - C and C++ client library to the memcached server
 libmemcachedutil2 - library implementing connection pooling for libmemcached
Closes: 644657
Changes: 
 libmemcached (1.0.17-2) experimental; urgency=low
 .
   * Add hurd.patch to fix build failures on GNU/Hurd, thanks to Pino Toscano
     (Closes: #644657).
Checksums-Sha1: 
 7d00397f1ff9d421ed818751f38313f2387845bc 2299 libmemcached_1.0.17-2.dsc
 76d9b984e1b119bfe404a940ecd68526e6f856bf 11897 libmemcached_1.0.17-2.debian.tar.gz
 dca9b6cf7ad2d5d5a83e8401883b36e94ad05a37 112238 libmemcached11_1.0.17-2_amd64.deb
 d665b33827a50ccb9d3616d88f026095f8fe79c7 297464 libmemcached-dev_1.0.17-2_amd64.deb
 882df9cb97caa952a2484c54bcd913bffa9db3c7 812664 libmemcached-dbg_1.0.17-2_amd64.deb
 d0947daa19489abef03d9f102642bbcd7dd10777 22876 libmemcachedutil2_1.0.17-2_amd64.deb
 68c508910dad2b36b81ceb23e2910661fd083018 51706 libhashkit2_1.0.17-2_amd64.deb
 d3af3a14c666f85cf1c62d33da87855ba96939d8 45390 libhashkit-dev_1.0.17-2_amd64.deb
 e7bdbdb3139972dafb2e5748d6bb00acc72af478 106852 libmemcached-tools_1.0.17-2_amd64.deb
Checksums-Sha256: 
 6140999afbadeae76d74e49c7e419ca5b2b250715f0401cdefd3ceb0bb090c21 2299 libmemcached_1.0.17-2.dsc
 12c12b0e53b44af464db0b0e509cfc5d0af1ca2738a38f2c7d6983203cd1803e 11897 libmemcached_1.0.17-2.debian.tar.gz
 1f83036615933fd730c1430beb345a445e2e3f004512ec2d638c6aabde56eaa4 112238 libmemcached11_1.0.17-2_amd64.deb
 4e70ed2e3a77e2e764308e5169319a48461a428b5de59f01075da607cf2ac056 297464 libmemcached-dev_1.0.17-2_amd64.deb
 ed1084e280dd45103ad1c139ba28c86b597b31cec59ce0bbb8b74ab79d9d1cbd 812664 libmemcached-dbg_1.0.17-2_amd64.deb
 e52a702d415ccfdbd59395d441c73dcc0092de838f2c6c339506a1ed25d24fae 22876 libmemcachedutil2_1.0.17-2_amd64.deb
 a8e990ab7c36f1fab8b7f78d5aff5745711d255de887d01bd0984f197d3dd979 51706 libhashkit2_1.0.17-2_amd64.deb
 395b2758daad551dd7d2db5544a8adfefe2f4a3037633fd1e3e4505a2ec8df18 45390 libhashkit-dev_1.0.17-2_amd64.deb
 ad961af366d6605ca1b3fc15660991ebe79181d6690dda42a76f8a1079db429f 106852 libmemcached-tools_1.0.17-2_amd64.deb
Files: 
 9b57544b866d6a716dd26a0743cdc968 2299 libs optional libmemcached_1.0.17-2.dsc
 45975e297b08dc192aebddbf8d442dbe 11897 libs optional libmemcached_1.0.17-2.debian.tar.gz
 96d6be90862dff4710295825e27baf83 112238 libs optional libmemcached11_1.0.17-2_amd64.deb
 6c4189b40068619db6dfa02015f09823 297464 libdevel optional libmemcached-dev_1.0.17-2_amd64.deb
 c516a315a3a5e41881c9bffc05e057b4 812664 debug extra libmemcached-dbg_1.0.17-2_amd64.deb
 0c3c62c161b06301d0c8065ef004bcc0 22876 libs optional libmemcachedutil2_1.0.17-2_amd64.deb
 5631fa004281c5691e23097cd4d122c4 51706 libs optional libhashkit2_1.0.17-2_amd64.deb
 bb9c20670c216fc85a9b85cbdda8062c 45390 libdevel optional libhashkit-dev_1.0.17-2_amd64.deb
 80e07f0359d88648631b9f05f67bcbeb 106852 utils optional libmemcached-tools_1.0.17-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRvtMBAAoJEBLZsEqQy9jkwbcP/0zTgIVgXV6O3dqRxFypDaW5
P2todcCSEgXM9kqATb0CiXEMYBYRm5uDHGGZ7oADo4rqXlXLqS+FMhJcybiWH1v1
WvkwH1exi9HKCwp3dfPfkRssWxNWJ2zUuN2Qp7a2IFyfh6N6sQ2uVvO6lUbJyBg/
dh20xGc2irNxXzm/vrbGYmKK4TQfnYfTwefHw9XHA5R36K6bkjupSiEJXNaYt+LJ
D1w5Sz1Jt6iM1yAQXi57FuAmF7ldUFkb9zO5DkgK2sgaLKi2a91XnAM/My5FaL30
TJBbProJ0p8zPnJUKF1NKlK8HwLfCW8VPk+6H+QPXgUUBKxjL70W/BhmG74gv/xM
zDWWrvSbSbVd+bFKOBvS4/QZDSuRUDc088yPJxSBiOuQGTTLadPaWrOHKyuSGItn
gtWq8LnmANFC9OIeuRn2kdLXbTFlVkmsuyQW6jE+W3Wa0ZLEWaTqRnHtHmSP4BCj
hircUGYnZNKwH/jVPTbXMGI+FL5OUF7cl4/gJj1PfLrCc60CAx6GgDbcMJb4aUB/
EyNXjRE+OXIXWt1RluMEq/UwZG5+DR9tJKcYwKZ8g1j9PGifqjP1WyD46yn0YPti
4nh3n68/7FHxtgu1GnWosCh9WmoFdPncMRLmmDK5dKz67fOJVG0sOTEH7oXy/VaT
LSYecYEHLU+uKM7zN+gG
=OcGZ
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:49:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.